<?php 
require_once (_PHP_STUB_FOLDER.'WStoreAPIException.php');
require_once(_PHP_STUB_FOLDER.'/ru/freebs/ws/business/warehouse/directories/BankWSSaveResponse.php');
require_once(_PHP_STUB_FOLDER.'/ru/freebs/ws/business/warehouse/directories/BankWSDeleteResponse.php');
require_once(_PHP_STUB_FOLDER.'/ru/freebs/ws/business/warehouse/directories/BankWSGetListResponse.php');
require_once(_PHP_STUB_FOLDER.'/ru/freebs/ws/business/warehouse/directories/BankWSErase.php');
require_once(_PHP_STUB_FOLDER.'/ru/freebs/ws/objects/SearchResultList.php');
require_once(_PHP_STUB_FOLDER.'/ru/freebs/ws/business/warehouse/directories/BankWSGetRowIndexResponse.php');
require_once(_PHP_STUB_FOLDER.'/ru/freebs/ws/business/warehouse/directories/BankWSGetCount.php');
require_once(_PHP_STUB_FOLDER.'/ru/freebs/ws/objects/InvocationContext.php');
require_once(_PHP_STUB_FOLDER.'/ru/freebs/ws/business/warehouse/directories/BankWSGetList.php');
require_once(_PHP_STUB_FOLDER.'/ru/freebs/ws/objects/warehouse/BankSearchCriteria.php');
require_once(_PHP_STUB_FOLDER.'/ru/freebs/ws/business/warehouse/directories/BankWSSave.php');
require_once(_PHP_STUB_FOLDER.'/ru/freebs/ws/objects/VoidResponse.php');
require_once(_PHP_STUB_FOLDER.'/ru/freebs/ws/business/warehouse/directories/BankWSDelete.php');
require_once(_PHP_STUB_FOLDER.'/ru/freebs/ws/objects/warehouse/entities/Bank.php');
require_once(_PHP_STUB_FOLDER.'/ru/freebs/ws/business/warehouse/directories/BankWSGetCountResponse.php');
require_once(_PHP_STUB_FOLDER.'/ru/freebs/ws/business/warehouse/directories/BankWSGetRowIndex.php');
require_once(_PHP_STUB_FOLDER.'/ru/freebs/ws/business/warehouse/directories/BankWSEraseResponse.php');
 
class BankWSStub { 

	private $client; // SoapClient
	private $debugMode; // allow to print errors to browser
	private $lasError; 

	/*
	* $args - array that contains:
	*		 $args['debugMode'] - allow to print errors on the generated page. optional.
	*		 $args['whServicesEP'] - wStore api endpoint. optional.
	*/
	function __construct(&$args) {
		$this->debugMode = false;
		if (isset($args['debugMode'])) $this->debugMode = $args['debugMode'];

		$ep = $args['whServicesEP']; // TODO: allow $args['whServicesEP'] to be optional
		$wsdlFolder = _PHP_STUB_FOLDER.'/wsdl/';
		if (isset($args['wsdlFolder'])) $wsdlFolder = $args['wsdlFolder']; 
		$this->client = new SoapClient($wsdlFolder.$this->getName().'.wsdl', array (
			'location' => $ep.'/'.$this->getName(),
			'soap_version' => SOAP_1_1,
			'exceptions' => true,
			'trace' => 1,
			'connection_timeout' => 5,
			'classmap' => array (
'save' => 'BankWSSave'
,'saveResponse' => 'BankWSSaveResponse'
,'delete' => 'BankWSDelete'
,'deleteResponse' => 'BankWSDeleteResponse'
,'erase' => 'BankWSErase'
,'eraseResponse' => 'BankWSEraseResponse'
,'getCount' => 'BankWSGetCount'
,'getCountResponse' => 'BankWSGetCountResponse'
,'getList' => 'BankWSGetList'
,'getListResponse' => 'BankWSGetListResponse'
,'getRowIndex' => 'BankWSGetRowIndex'
,'getRowIndexResponse' => 'BankWSGetRowIndexResponse'

			)
		));
	}
	
	function getName() { return 'BankWS'; }
	function getLastError() { return $this->lastError; }
	function newSearchCriteria() { return new BankSearchCriteria(); }
	function newEntity() { return new Bank(); }

	/** 
	* returns ru.freebs.ws.objects.warehouse.entities.Bank
	*	@param param0 - ru.freebs.ws.objects.InvocationContext
	*	@param param1 - ru.freebs.ws.objects.warehouse.entities.Bank

	*/
	final public function save(&$param0,&$param1) {
		try {
			$request = null; 
			$request = new BankWSSave();
			$request->param0 = $param0;
			$request->param1 = $param1;

			$tmp = $this->client->__call('save', array (
				'parameters' => $request
			))->return;
if (isset($tmp)) {
	$tmp__ = Bank::getInstance($tmp); unset($tmp); $tmp = $tmp__;
}

			return $tmp; 
		} catch (SoapFault $exp) {
			if ($this->debugMode)
				echo 'Caught Exception ('.$exp->getMessage().')\n'.$exp.'\n';
			$this->lastError = $exp;
			throw new WStoreAPIException($exp->faultcode, $exp->getMessage());
		}
	}

	/** 
	* returns ru.freebs.ws.objects.VoidResponse
	*	@param param0 - ru.freebs.ws.objects.InvocationContext
	*	@param param1 - java.lang.Long

	*/
	final public function delete(&$param0,&$param1) {
		try {
			$request = null; 
			$request = new BankWSDelete();
			$request->param0 = $param0;
			$request->param1 = $param1;

			$tmp = $this->client->__call('delete', array (
				'parameters' => $request
			))->return;
if (isset($tmp)) {
	$tmp__ = VoidResponse::getInstance($tmp); unset($tmp); $tmp = $tmp__;
}

			return $tmp; 
		} catch (SoapFault $exp) {
			if ($this->debugMode)
				echo 'Caught Exception ('.$exp->getMessage().')\n'.$exp.'\n';
			$this->lastError = $exp;
			throw new WStoreAPIException($exp->faultcode, $exp->getMessage());
		}
	}

	/** 
	* returns ru.freebs.ws.objects.VoidResponse
	*	@param param0 - ru.freebs.ws.objects.InvocationContext
	*	@param param1 - java.lang.Long

	*/
	final public function erase(&$param0,&$param1) {
		try {
			$request = null; 
			$request = new BankWSErase();
			$request->param0 = $param0;
			$request->param1 = $param1;

			$tmp = $this->client->__call('erase', array (
				'parameters' => $request
			))->return;
if (isset($tmp)) {
	$tmp__ = VoidResponse::getInstance($tmp); unset($tmp); $tmp = $tmp__;
}

			return $tmp; 
		} catch (SoapFault $exp) {
			if ($this->debugMode)
				echo 'Caught Exception ('.$exp->getMessage().')\n'.$exp.'\n';
			$this->lastError = $exp;
			throw new WStoreAPIException($exp->faultcode, $exp->getMessage());
		}
	}

	/** 
	* returns java.lang.Integer
	*	@param param0 - ru.freebs.ws.objects.InvocationContext
	*	@param param1 - ru.freebs.ws.objects.warehouse.BankSearchCriteria

	*/
	final public function getCount(&$param0,&$param1) {
		try {
			$request = null; 
			$request = new BankWSGetCount();
			$request->param0 = $param0;
			$request->param1 = $param1;

			$tmp = $this->client->__call('getCount', array (
				'parameters' => $request
			))->return;

			return $tmp; 
		} catch (SoapFault $exp) {
			if ($this->debugMode)
				echo 'Caught Exception ('.$exp->getMessage().')\n'.$exp.'\n';
			$this->lastError = $exp;
			throw new WStoreAPIException($exp->faultcode, $exp->getMessage());
		}
	}

	/** 
	* returns ru.freebs.ws.objects.SearchResultList
	*	@param param0 - ru.freebs.ws.objects.InvocationContext
	*	@param param1 - ru.freebs.ws.objects.warehouse.BankSearchCriteria

	*/
	final public function getList(&$param0,&$param1) {
		try {
			$request = null; 
			$request = new BankWSGetList();
			$request->param0 = $param0;
			$request->param1 = $param1;

			$tmp = $this->client->__call('getList', array (
				'parameters' => $request
			))->return;
if (isset($tmp)) {
	$tmp__ = SearchResultList::getInstance($tmp); unset($tmp); $tmp = $tmp__;
	if (isset($tmp->objList)) {
		$objList__ = null;
		foreach($tmp->objList as $item)
			$objList__[] = Bank::getInstance($item);
	unset($tmp->objList); $tmp->objList = $objList__;
	}
}

			return $tmp; 
		} catch (SoapFault $exp) {
			if ($this->debugMode)
				echo 'Caught Exception ('.$exp->getMessage().')\n'.$exp.'\n';
			$this->lastError = $exp;
			throw new WStoreAPIException($exp->faultcode, $exp->getMessage());
		}
	}

	/** 
	* returns java.lang.Integer
	*	@param param0 - ru.freebs.ws.objects.InvocationContext
	*	@param param1 - ru.freebs.ws.objects.warehouse.BankSearchCriteria
	*	@param param2 - java.lang.Long

	*/
	final public function getRowIndex(&$param0,&$param1,&$param2) {
		try {
			$request = null; 
			$request = new BankWSGetRowIndex();
			$request->param0 = $param0;
			$request->param1 = $param1;
			$request->param2 = $param2;

			$tmp = $this->client->__call('getRowIndex', array (
				'parameters' => $request
			))->return;

			return $tmp; 
		} catch (SoapFault $exp) {
			if ($this->debugMode)
				echo 'Caught Exception ('.$exp->getMessage().')\n'.$exp.'\n';
			$this->lastError = $exp;
			throw new WStoreAPIException($exp->faultcode, $exp->getMessage());
		}
	}

 

}
?>